Foreman - Bug #13279

Adapt alerts to Patternfly
01/19/2016 10:25 AM - Daniel Lobato Garcia

Status:
Priority:
Assignee:

Category:

Target version:

Closed

Normal

Daniel Lobato Garcia
Web Interface

1.11.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/3095,

https://github.com/theforeman/foreman/p

ull/3109,

https://github.com/theforeman/foreman/p

ull/3113
Description

Currently our alerts have a h4 header, then a text. Alerts on Patternfly are meant to have a bold title, then the content, like one can
see in https://www.patternfly.org/widgets/#alerts

Related issues:

Related to Foreman - Bug #14640: provisioning template association text misse...

Has duplicate Foreman - Bug #13169: Extra icon and bad layout of alert boxes ...

Closed 04/14/2016
Resolved 01/13/2016

Associated revisions

Revision 90aa4b03 - 01/21/2016 07:55 AM - Daniel Lobato Garcia
Fixes #13279 - Adapt alerts to Patternfly

Currently our alerts have a h4 header, then a text. Alerts on Patternfly
are meant to have a bold title, then the content, like one can see in
https://www.patternfly.org/widgets/#alerts

Revision adea2d2b - 01/21/2016 10:43 AM - Daniel Lobato Garcia

Refs #13279 - checked_icon should use fa-check not png

toggle_check.png does not exist anymore and we can rely on the
font-awesome fa-check icon to display the check. Visit
provisioning_templates and see the Snippet column to see the icon.

Revision f7acf8b2 - 01/24/2016 06:48 AM - Daniel Lobato Garcia
Refs #13279 - Fix template for host in build mode alert

Notice this template was not fixed in the original #13279 -

original: http:/i.imgur.com/nnbcQit.png

fixed: http://i.imgur.com/5Tx3p1s.png

History

#1 - 01/19/2016 10:37 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/3095 added

#2 - 01/21/2016 08:02 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 90aa4b03e4364975t57fee43455acd7c8fd9ff76.

#3 - 01/21/2016 10:40 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#4 - 01/21/2016 10:40 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3109 added

#5 - 01/23/2016 02:00 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3113 added

#6 - 02/01/2016 08:21 AM - Dominic Cleal

- Has duplicate Bug #13169: Extra icon and bad layout of alert boxes on provisioning template form added

#7 - 04/14/2016 07:43 AM - Dominic Cleal

- Related to Bug #14640: provisioning template association text misses whitespaces added

05/18/2024

22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/90aa4b03e4364975f57fee43455acd7c8fd9ff76
http://www.tcpdf.org

